require linux-zylonite.inc

PR = "r4"

FILESDIR = "${WORKDIR}"

LOCALPATCH = "file://linux-2.6.14-pxa320-patches/generic_kernel_patch"

SRC_URI = "${KERNELORG_MIRROR}pub/linux/kernel/v2.6/linux-2.6.14.tar.gz \
           http://downloads.linux.hp.com/public/ipaq/monahans-ldk/linux-2.6.14-pxa320-patches-gpl.tgz \
           ${LOCALPATCH}/patch-2.6.14.7;patch=1 \
           ${LOCALPATCH}/3168-1-arm-signal-delivery-and-masking.diff;patch=1 \
           ${LOCALPATCH}/wr-coptimize.patch;patch=1 \
           ${LOCALPATCH}/no-hack-warn-diff;patch=1 \
           ${LOCALPATCH}/core-lite.patch;patch=1 \
           ${LOCALPATCH}/8250.patch;patch=1 \
           ${LOCALPATCH}/netpoll_pass_skb_to_rx_hook.patch;patch=1 \
           ${LOCALPATCH}/eth.patch;patch=1 \
           ${LOCALPATCH}/i386-lite.patch;patch=1 \
           ${LOCALPATCH}/powerpc-lite.patch;patch=1 \
           ${LOCALPATCH}/mips-lite.patch;patch=1 \
           ${LOCALPATCH}/ia64-lite.patch;patch=1 \
           ${LOCALPATCH}/x86_64-no_context_hook.patch;patch=1 \
           ${LOCALPATCH}/x86_64-lite.patch;patch=1 \
           ${LOCALPATCH}/sh-lite.patch;patch=1 \
           ${LOCALPATCH}/arm-lite.patch;patch=1 \
           ${LOCALPATCH}/cfi_annotations.patch;patch=1 \
           ${LOCALPATCH}/sysrq_bugfix.patch;patch=1 \
           ${LOCALPATCH}/module.patch;patch=1 \
           ${LOCALPATCH}/core.patch;patch=1 \
           ${LOCALPATCH}/i386.patch;patch=1 \
           ${LOCALPATCH}/powerpc.patch;patch=1 \
           ${LOCALPATCH}/mips-kgdb.diff;patch=1 \
           ${LOCALPATCH}/gianfar-netpoll.diff;patch=1 \
           ${LOCALPATCH}/arm-kgdb-detach.patch;patch=1 \
           ${LOCALPATCH}/arm-sw-ss.patch;patch=1 \
           ${LOCALPATCH}/pmac-kgdb.fix;patch=1 \
           ${LOCALPATCH}/booke-module-fix.diff;patch=1 \
           ${LOCALPATCH}/kgdb_may_fault.diff;patch=1 \
           ${LOCALPATCH}/kgdboe-config.diff;patch=1 \
           ${LOCALPATCH}/smc91x_eth.patch;patch=1 \
           ${LOCALPATCH}/mips-fix.diff;patch=1 \
           ${LOCALPATCH}/mips-sw-ss.diff;patch=1 \
           ${LOCALPATCH}/bamboo-kgdb.diff;patch=1 \
           ${LOCALPATCH}/kgdb-cpm.diff;patch=1 \
           ${LOCALPATCH}/cs89x0-2.6.14.diff;patch=1 \
           ${LOCALPATCH}/8260_enet-netpoll.diff;patch=1 \
           ${LOCALPATCH}/8260-spinlock-change.diff;patch=1 \
           ${LOCALPATCH}/8260-fcc_enet-ringbuffer.diff;patch=1 \
           ${LOCALPATCH}/i386_oops_notifier.patch;patch=1 \
           ${LOCALPATCH}/ppc_oops_notifier.patch;patch=1 \
           ${LOCALPATCH}/qcpu-command.diff;patch=1 \
           ${LOCALPATCH}/mips64_defines.patch;patch=1 \
           ${LOCALPATCH}/mips64_kgdb_dsubu.patch;patch=1 \
           ${LOCALPATCH}/mips.org.patch;patch=1 \
           ${LOCALPATCH}/mips.org-tlb-updates.diff;patch=1 \
           ${LOCALPATCH}/mips.org-prefetch-off.diff;patch=1 \
           ${LOCALPATCH}/mips-malta-4kc-tlb-nop.diff;patch=1 \
           ${LOCALPATCH}/mips.org-vgacon-64bit-fix.diff;patch=1 \
           ${LOCALPATCH}/mips_system_h.patch;patch=1 \
           ${LOCALPATCH}/uhci-hcd_timeout.patch;patch=1 \
           ${LOCALPATCH}/malta_uhci_fsbr.patch;patch=1 \
           ${LOCALPATCH}/sbc8560.diff;patch=1 \
           ${LOCALPATCH}/sbc8560-kgdb.diff;patch=1 \
           ${LOCALPATCH}/gianfar.diff;patch=1 \
           ${LOCALPATCH}/x86_64-toolchain_32bit.patch;patch=1 \
           ${LOCALPATCH}/ixp-watchdog-typo.diff;patch=1 \
           ${LOCALPATCH}/arm-asm-intrinsics.patch;patch=1 \
           ${LOCALPATCH}/wr-linux-arm-eabi.diff;patch=1 \
           ${LOCALPATCH}/cs-linux-arm-eabi.diff;patch=1 \
           ${LOCALPATCH}/arm-eabi-syscall5.patch;patch=1 \
           ${LOCALPATCH}/arm-eabi-compat.diff;patch=1 \
           ${LOCALPATCH}/wr-arm-eabi-aapcs-linux.diff;patch=1 \
           ${LOCALPATCH}/pxa-i2s-i2c-typo.diff;patch=1 \
           ${LOCALPATCH}/pxa-blob-bootparam.diff;patch=1 \
           ${LOCALPATCH}/mv643xx_eth_bcm5421s.diff;patch=1 \
           ${LOCALPATCH}/mot_mcpn905-2.6.14.diff;patch=1 \
           ${LOCALPATCH}/ppc-l3cr.diff;patch=1 \
           ${LOCALPATCH}/artesyn-katanaQp-2.6.14.diff;patch=1 \
           ${LOCALPATCH}/mc-2.6.14.patch;patch=1 \
           ${LOCALPATCH}/squashfs2.2-patch;patch=1 \
           ${LOCALPATCH}/unionfs_1_1_1.patch;patch=1 \
           ${LOCALPATCH}/ppmc280-base.diff;patch=1 \
           ${LOCALPATCH}/ppmc280-i2c.diff;patch=1 \
           ${LOCALPATCH}/ppmc280-mtd.diff;patch=1 \
           ${LOCALPATCH}/ppmc280-mv643xx_eth.diff;patch=1 \
           ${LOCALPATCH}/mv643xx_cons_baud.diff;patch=1 \
           ${LOCALPATCH}/gianfar_BCM5461.diff;patch=1 \
           ${LOCALPATCH}/fsl8349-2.6.14.diff;patch=1 \
           ${LOCALPATCH}/sbc834x-2.6.14.diff;patch=1 \
           ${LOCALPATCH}/mpc8xxx-sec2.diff;patch=1 \
           ${LOCALPATCH}/linux-tun-2.6.11-MPC7448_arch.patch;patch=1 \
           ${LOCALPATCH}/linux-tun-2.6.11-MPC7448_tsec.patch;patch=1 \
           ${LOCALPATCH}/linux-fsl-2.6.11-MPC7448_arch-2.patch;patch=1 \
           ${LOCALPATCH}/linux-fsl-2.6.11-MPC7448_sata.patch;patch=1 \
           ${LOCALPATCH}/linux-tun-2.6.11-MPC7448_uart.patch;patch=1 \
           ${LOCALPATCH}/linux-fsl-2.6.11-MPC7448_ct43.patch;patch=1 \
           ${LOCALPATCH}/tsi108_eth-netpoll.diff;patch=1 \
           ${LOCALPATCH}/taiga-8250-fix.diff;patch=1 \
           ${LOCALPATCH}/mpc834x-usb-host.diff;patch=1 \
           ${LOCALPATCH}/usagi-linux26-s20051219-2.6.14.diff;patch=1 \
           ${LOCALPATCH}/patch-2.6.15-lttng-0.5.7-core.diff;patch=1 \
           ${LOCALPATCH}/patch-2.6.15-lttng-0.5.7-facilities.diff;patch=1 \
           ${LOCALPATCH}/patch-2.6.15-lttng-0.5.7-facilities-headers.diff;patch=1 \
           ${LOCALPATCH}/patch-2.6.15-lttng-0.5.7-facilities-loader.diff;patch=1 \
           ${LOCALPATCH}/patch-2.6.15-lttng-0.5.7-instrumentation.diff;patch=1 \
           ${LOCALPATCH}/patch-2.6.15-lttng-0.5.7-relayfs.diff;patch=1 \
           ${LOCALPATCH}/ltt-control-0.4.diff;patch=1 \
           ${LOCALPATCH}/lttng-0.5.7_0.5.8_1.patch;patch=1 \
           ${LOCALPATCH}/lttng-0.5.7_0.5.8_2.patch;patch=1 \
           ${LOCALPATCH}/lttng-0.5.8_0.5.9.patch;patch=1 \
           ${LOCALPATCH}/atomic.diff;patch=1 \
           ${LOCALPATCH}/ppc1.diff;patch=1 \
           ${LOCALPATCH}/ppc2.diff;patch=1 \
           ${LOCALPATCH}/mips1.diff;patch=1 \
           ${LOCALPATCH}/cycles_t_temp.diff;patch=1 \
           ${LOCALPATCH}/arm.diff;patch=1 \
           ${LOCALPATCH}/arm_fix.diff;patch=1 \
           ${LOCALPATCH}/time_fixes.diff;patch=1 \
           ${LOCALPATCH}/ltt-mips-syscall.diff;patch=1 \
           ${LOCALPATCH}/arm_syscall_fix.diff;patch=1 \
           ${LOCALPATCH}/new_checksums.diff;patch=1 \
           ${LOCALPATCH}/buffer_corruption_fix.diff;patch=1 \
           ${LOCALPATCH}/bcm.diff;patch=1 \
           ${LOCALPATCH}/wrs_sb1250-eth.patch;patch=1 \
           ${LOCALPATCH}/wrs_toolchain-sb1-fix.patch;patch=1 \
           ${LOCALPATCH}/wrs_sb1250_spinlock.patch;patch=1 \
           ${LOCALPATCH}/wrs_sb1250_kgdb_compile.patch;patch=1 \
           ${LOCALPATCH}/arm_versatile.diff;patch=1 \
           ${LOCALPATCH}/amcc-yosemite.diff;patch=1 \
           ${LOCALPATCH}/wrs_sbc82xx.diff;patch=1 \
           ${LOCALPATCH}/fcc_enet-mac-addr.diff;patch=1 \
           ${LOCALPATCH}/yaffs2.diff;patch=1 \
           ${LOCALPATCH}/move_div_long_long_rem_out_of_jiffies_h;patch=1 \
           ${LOCALPATCH}/remove_duplicate_div_long_long_rem;patch=1 \
           ${LOCALPATCH}/deinline_mktime_and_set_normalized_timespec;patch=1 \
           ${LOCALPATCH}/clean_up_mktime_and_make_arguments_const;patch=1 \
           ${LOCALPATCH}/export_deinlined_mktime;patch=1 \
           ${LOCALPATCH}/remove_unused_clock_constants;patch=1 \
           ${LOCALPATCH}/coding_style_clean_up_of_clock_constants;patch=1 \
           ${LOCALPATCH}/coding_style_and_ws_cleanup;patch=1 \
           ${LOCALPATCH}/make_clockid_t_arguments_const;patch=1 \
           ${LOCALPATCH}/coding_style_and_ws_cleanup_2;patch=1 \
           ${LOCALPATCH}/create_use_timespec_valid_macro;patch=1 \
           ${LOCALPATCH}/validate_timespec_of_do_sys_settimeofday;patch=1 \
           ${LOCALPATCH}/introduce_nsec_t_and_funcs;patch=1 \
           ${LOCALPATCH}/introduce_ktime_t;patch=1 \
           ${LOCALPATCH}/hrtimer_core_code;patch=1 \
           ${LOCALPATCH}/hrtimer_documentation;patch=1 \
           ${LOCALPATCH}/switch_itimers_to_hrtimer;patch=1 \
           ${LOCALPATCH}/create_hrtimer_nanosleep_api;patch=1 \
           ${LOCALPATCH}/switch_sys_nanosleep_to_hrtimer;patch=1 \
           ${LOCALPATCH}/switch_clock_nanosleep_to_hrtimer;patch=1 \
           ${LOCALPATCH}/convert_posix_timers_completely;patch=1 \
           ${LOCALPATCH}/export_ktime_get_ts;patch=1 \
           ${LOCALPATCH}/remove_listhead_from_hrtimer_struct;patch=1 \
           ${LOCALPATCH}/change_res_to_ktime_t;patch=1 \
           ${LOCALPATCH}/enforce_resolution_as_ll_intervals;patch=1 \
           ${LOCALPATCH}/hrtimer_comment_tweak;patch=1 \
           ${LOCALPATCH}/kernel_hrtimer_c_sparse_warning_fix;patch=1 \
           ${LOCALPATCH}/mipv6-2.0-linux-2.6.14.patch;patch=1 \
           ${LOCALPATCH}/ppmc280-flash.protect.diff;patch=1 \
           ${LOCALPATCH}/alsa_ac97_pdata.patch;patch=1 \
           ${LOCALPATCH}/pxa_uart.patch;patch=1 \
           ${LOCALPATCH}/pxa_i2c.patch;patch=1 \
           ${LOCALPATCH}/pxa270_usb_gadget.patch;patch=1 \
           ${LOCALPATCH}/pxa_udc.patch;patch=1 \
           ${LOCALPATCH}/pxa_keypad.patch;patch=1 \
           ${LOCALPATCH}/pxa_keypad_pm_ldm.patch;patch=1 \
           ${LOCALPATCH}/pxa_rtc.patch;patch=1 \
           ${LOCALPATCH}/pxa_irda.patch;patch=1 \
           ${LOCALPATCH}/pxa_fb_overlay.patch;patch=1 \
           ${LOCALPATCH}/ucb1x00.patch;patch=1 \
           ${LOCALPATCH}/ucb1400.patch;patch=1 \
           ${LOCALPATCH}/dpmio.patch;patch=1 \
           ${LOCALPATCH}/wrs-dpm-mainstone.c-pre.patch;patch=1 \
           ${LOCALPATCH}/sys_reboot.patch;patch=1 \
           ${LOCALPATCH}/mips-bcm1250a-disablekgdb2850;patch=1 \
           ${LOCALPATCH}/broadcom_bcm91x80b_no_kgdb_rs232;patch=1 \
           ${LOCALPATCH}/mips-sb1250-mac-NAPI.patch;patch=1 \
           ${LOCALPATCH}/bcm_h_updates.patch;patch=1 \
           ${LOCALPATCH}/double_time.patch;patch=1 \
           ${LOCALPATCH}/swarm_ide_detection.patch;patch=1 \
           ${LOCALPATCH}/bcm1480_pci_cleanup.patch;patch=1 \
           ${LOCALPATCH}/bigSur_partNumber.patch;patch=1 \
           ${LOCALPATCH}/sb1250_serial.patch;patch=1 \
           ${LOCALPATCH}/swarm_defconfig.patch;patch=1 \
           ${LOCALPATCH}/arm-soft-single-step.patch;patch=1 \
           ${LOCALPATCH}/cve_2006_0457.patch;patch=1 \
           ${LOCALPATCH}/cve_2006_0554.patch;patch=1 \
           ${LOCALPATCH}/pxafb_dpm_include.patch;patch=1 \
           ${LOCALPATCH}/pxa_serial_dpm_include.patch;patch=1 \
           ${LOCALPATCH}/scsi_transport_spi.fix;patch=1 \
           ${LOCALPATCH}/arm-eabi-fix-cmpxchg-syscall-emmulation.patch;patch=1 \
           ${LOCALPATCH}/arm-eabi-fix-sigreturn-rt_sigreturn.patch;patch=1 \
           ${LOCALPATCH}/arm-eabi-make-unmuxed-syscall-visible.patch;patch=1 \
           ${LOCALPATCH}/arm-eabi-relocations-with-loading-modules.patch;patch=1 \
           ${LOCALPATCH}/mips64_kgdb.patch;patch=1 \
           ${LOCALPATCH}/wrs_mips64-usermode-dbg.patch;patch=1 \
           ${LOCALPATCH}/fcc-bdp_save.diff;patch=1 \
           ${LOCALPATCH}/gianfar-bdp_save.diff;patch=1 \
           ${LOCALPATCH}/taiga-pic-eth-fix.diff;patch=1 \
           ${LOCALPATCH}/irq.h-define-fix.diff;patch=1 \
           ${LOCALPATCH}/config_mips64.fix;patch=1 \
           ${LOCALPATCH}/r4k_switch_fpu.patch;patch=1 \
           ${LOCALPATCH}/sb1250mac_skb_cache.patch;patch=1 \
           ${LOCALPATCH}/cve-2006-0555-fix.diff;patch=1 \
           ${LOCALPATCH}/mips_kgdb_fpu.patch;patch=1 \
           ${LOCALPATCH}/arm_6th_arg_syscall.patch;patch=1 \
           ${LOCALPATCH}/2.6.14-alarm.fix;patch=1 \
           ${LOCALPATCH}/sctp-2.6.15-upgrade.patch;patch=1 \
           ${LOCALPATCH}/sctp-2.6.15-security-fix.patch;patch=1 \
           ${LOCALPATCH}/use-funit-at-a-time.patch;patch=1 \
           ${LOCALPATCH}/devlist.patch;patch=1 \
           ${LOCALPATCH}/config-net-small.patch;patch=1 \
           ${LOCALPATCH}/cache_defer_hash.patch;patch=1 \
           ${LOCALPATCH}/unix_socket_table.patch;patch=1 \
           ${LOCALPATCH}/inet_protos.patch;patch=1 \
           ${LOCALPATCH}/flow-cache-small.patch;patch=1 \
           ${LOCALPATCH}/small-8023.patch;patch=1 \
           ${LOCALPATCH}/tg3-oops.patch;patch=1 \
           ${LOCALPATCH}/namei-inlines.patch;patch=1 \
           ${LOCALPATCH}/buffer-inlines.patch;patch=1 \
           ${LOCALPATCH}/fs_open-inlines.patch;patch=1 \
           ${LOCALPATCH}/inode-inlines.patch;patch=1 \
           ${LOCALPATCH}/ext2namei-inlines.patch;patch=1 \
           ${LOCALPATCH}/fslocks-inline.patch;patch=1 \
           ${LOCALPATCH}/tiny-cflags.patch;patch=1 \
           ${LOCALPATCH}/kmalloc-accounting.patch;patch=1 \
           ${LOCALPATCH}/audit-bootmem.patch;patch=1 \
           ${LOCALPATCH}/bloat-o-meter.patch;patch=1 \
           ${LOCALPATCH}/deprecate-inline.patch;patch=1 \
           ${LOCALPATCH}/func-size.patch;patch=1 \
           ${LOCALPATCH}/no-doublefault.patch;patch=1 \
           ${LOCALPATCH}/tiny-panic.patch;patch=1 \
           ${LOCALPATCH}/nopanic.patch;patch=1 \
           ${LOCALPATCH}/no-elf-core.patch;patch=1 \
           ${LOCALPATCH}/tiny-crc.patch;patch=1 \
           ${LOCALPATCH}/threadinfo-ool.patch;patch=1 \
           ${LOCALPATCH}/slob.patch;patch=1 \
           ${LOCALPATCH}/slob-accounting.patch;patch=1 \
           ${LOCALPATCH}/mempool-shrink.patch;patch=1 \
           ${LOCALPATCH}/no-translations.patch;patch=1 \
           ${LOCALPATCH}/remove-vm86.patch;patch=1 \
           ${LOCALPATCH}/sysenter.patch;patch=1 \
           ${LOCALPATCH}/no-aio.patch;patch=1 \
           ${LOCALPATCH}/no-xattr.patch;patch=1 \
           ${LOCALPATCH}/fslock.patch;patch=1 \
           ${LOCALPATCH}/ethtool.patch;patch=1 \
           ${LOCALPATCH}/inetpeer.patch;patch=1 \
           ${LOCALPATCH}/net-filter.patch;patch=1 \
           ${LOCALPATCH}/dev_mcast.patch;patch=1 \
           ${LOCALPATCH}/igmp.patch;patch=1 \
           ${LOCALPATCH}/binfmt-script.patch;patch=1 \
           ${LOCALPATCH}/elf-no-aout.patch;patch=1 \
           ${LOCALPATCH}/max-swapfiles.patch;patch=1 \
           ${LOCALPATCH}/ldiscs.patch;patch=1 \
           ${LOCALPATCH}/max_user_rt_prio.patch;patch=1 \
           ${LOCALPATCH}/ide-hwif.patch;patch=1 \
           ${LOCALPATCH}/sbf.patch;patch=1 \
           ${LOCALPATCH}/serial-pci.patch;patch=1 \
           ${LOCALPATCH}/dmi_blacklist.patch;patch=1 \
           ${LOCALPATCH}/pci-quirks.patch;patch=1 \
           ${LOCALPATCH}/tsc.patch;patch=1 \
           ${LOCALPATCH}/cpu-support.patch;patch=1 \
           ${LOCALPATCH}/mtrr.patch;patch=1 \
           ${LOCALPATCH}/inflate-formatting.patch;patch=1 \
           ${LOCALPATCH}/inflate-legacy.patch;patch=1 \
           ${LOCALPATCH}/inflate-input.patch;patch=1 \
           ${LOCALPATCH}/inflate-iostate.patch;patch=1 \
           ${LOCALPATCH}/inflate-huft.patch;patch=1 \
           ${LOCALPATCH}/inflate-crc.patch;patch=1 \
           ${LOCALPATCH}/inflate-killmemzero.patch;patch=1 \
           ${LOCALPATCH}/inflate-killdecls.patch;patch=1 \
           ${LOCALPATCH}/inflate-killmarkrelease.patch;patch=1 \
           ${LOCALPATCH}/inflate-makecrc.patch;patch=1 \
           ${LOCALPATCH}/inflate-readbyte.patch;patch=1 \
           ${LOCALPATCH}/inflate-fix_ARM.patch;patch=1 \
           ${LOCALPATCH}/movsl-mask.patch;patch=1 \
           ${LOCALPATCH}/tiny-extraversion.patch;patch=1 \
           ${LOCALPATCH}/wrs-tiny-cleanup.diff;patch=1 \
           ${LOCALPATCH}/xip+uboot.patch;patch=1 \
           ${LOCALPATCH}/wrs-fill-initial-flate-buffer-for-ramdisks.patch;patch=1 \
           ${LOCALPATCH}/un-dpm.diff;patch=1 \
           ${LOCALPATCH}/un-dpm-serial.diff;patch=1 \
           ${LOCALPATCH}/kft.patch;patch=1 \
           ${LOCALPATCH}/sched_clock.patch;patch=1 \
           ${LOCALPATCH}/wr_additional_ppc.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/eabi.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/mmc-kernel.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/kgdb.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/dpm.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/net.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/mtd.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/kernel.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_kernel_patch/input.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/trueide.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/nand.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/keypad.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/base.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/touch.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/2d.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/imm.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/rtc.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/pcmcia.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/w1.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/alsa.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/camera.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_bsp_patch/lcd.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_pending_patch/irda.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_pending_patch/mmc.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_pending_patch/usb.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_pending_patch/i2c.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_pending_patch/ethnet.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_pending_patch/serial.patch;patch=1 \
           file://linux-2.6.14-pxa320-patches/pxa3xx_irrelated_patch/irrelated.patch;patch=1 \
#	   file://rp_ts_sync.patch;patch=1 \
	   file://defconfig"

S = "${WORKDIR}/linux-2.6.14"


